<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Верстка сторінки як в ПДФ файлі</title>
</head>
<body>
    <h2>HTML</h2>
    <p>
        Язык <b>HTML</b> интерпретируется  <a href="https://ru.wikipedia.org/wiki/%D0%91%D1%80%D0%B0%D1%83%D0%B7%D0%B5%D1%80" style="color:black" target="_blank">браузерами</a>; полученный в результате интерпретации <br>
        форматированный текст отображается на экране монитора компьютера или мобильного устройства. <br>
        Язык <i>HTML</i> до 5-ой версии определялся как приложение <a href="https://ru.wikipedia.org/wiki/SGML" style="color: black;" target="_blank">SGML</a>  (стандартного обобщённого языка <br>
        разметки по стандарту <a href="https://ru.wikipedia.org/wiki/%D0%9C%D0%B5%D0%B6%D0%B4%D1%83%D0%BD%D0%B0%D1%80%D0%BE%D0%B4%D0%BD%D0%B0%D1%8F_%D0%BE%D1%80%D0%B3%D0%B0%D0%BD%D0%B8%D0%B7%D0%B0%D1%86%D0%B8%D1%8F_%D0%BF%D0%BE_%D1%81%D1%82%D0%B0%D0%BD%D0%B4%D0%B0%D1%80%D1%82%D0%B8%D0%B7%D0%B0%D1%86%D0%B8%D0%B8" style="color: black;" target="_blank">ISO</a>    8879). Спецификации HTML5 формулируются в <br>
        терминах  <i><a href="https://ru.wikipedia.org/wiki/Document_Object_Model" style="color: black;">DOM</a> </i> (объектной модели документа). <br>
        Язык <i><a href="https://ru.wikipedia.org/wiki/XHTML" style="color: black;">XHTML</a> </i>  является более строгим вариантом HTML, он следует синтаксису <a href="https://ru.wikipedia.org/wiki/XML" style="color: black;">XML</a>  и является <br>
        приложением языка XML в области разметки гипертекста <br>
        Во всемирной паутине HTML-страницы, как правило, передаются браузерам от сервера по <br>
        протоколам <i><a href="https://ru.wikipedia.org/wiki/HTTP" style="color: black;">HTTP</a></i>  или <i><a href="https://ru.wikipedia.org/wiki/HTTPS" style="color: black;">HTTPS</a></i> , в виде простого текста или с использованием <a href="https://ru.wikipedia.org/wiki/%D0%A8%D0%B8%D1%84%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5" style="color: black;">шифрования</a> .
    </p>
    <h2>Общее представление</h2>
    <p>
        Язык HTML был разработан <i><a href="https://ru.wikipedia.org/wiki/%D0%92%D0%B5%D0%BB%D0%B8%D0%BA%D0%BE%D0%B1%D1%80%D0%B8%D1%82%D0%B0%D0%BD%D0%B8%D1%8F" style="color: black;">британским</a></i>  учёным <b><a href="https://ru.wikipedia.org/wiki/%D0%91%D0%B5%D1%80%D0%BD%D0%B5%D1%80%D1%81-%D0%9B%D0%B8,_%D0%A2%D0%B8%D0%BC" style="color: black;">Тимом Бернерсом-Ли</a></b>  приблизительно в <i><a href="https://ru.wikipedia.org/wiki/1986_%D0%B3%D0%BE%D0%B4" style="color: black;">1986— <br>
        1991 годах</a></i>   в стенах <i><a href="https://ru.wikipedia.org/wiki/%D0%A6%D0%95%D0%A0%D0%9D" style="color: black;">ЦЕРНа</a></i>  в <i><a href="https://ru.wikipedia.org/wiki/%D0%96%D0%B5%D0%BD%D0%B5%D0%B2%D0%B0" style="color: black;">Женеве</a></i>  в <i><a href="https://ru.wikipedia.org/wiki/%D0%A8%D0%B2%D0%B5%D0%B9%D1%86%D0%B0%D1%80%D0%B8%D1%8F" style="color: black;">Швейцарии</a></i> . HTML создавался как язык для обмена научной <br>
        и технической документацией, пригодный для использования людьми, не являющимися <br>
        специалистами в области <i><a href="https://ru.wikipedia.org/wiki/%D0%92%D1%91%D1%80%D1%81%D1%82%D0%BA%D0%B0" style="color: black;">вёрстки</a></i> . HTML успешно справлялся с проблемой сложности SGML путём <br>
        определения небольшого набора структурных и <b><a href="https://ru.wikipedia.org/wiki/%D0%A1%D0%B5%D0%BC%D0%B0%D0%BD%D1%82%D0%B8%D0%BA%D0%B0" style="color: black;">семантических</a></b>  элементов — дескрипторов. <br>
        Дескрипторы также часто называют «<i><a href="https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%B3_(%D1%8F%D0%B7%D1%8B%D0%BA%D0%B8_%D1%80%D0%B0%D0%B7%D0%BC%D0%B5%D1%82%D0%BA%D0%B8)" style="color: black;">тегами</a></i>». С помощью HTML можно легко создать <br>
        относительно простой, но красиво оформленный документ. Помимо упрощения структуры <br>
        документа, в HTML внесена поддержка <i><a href="https://ru.wikipedia.org/wiki/%D0%93%D0%B8%D0%BF%D0%B5%D1%80%D1%82%D0%B5%D0%BA%D1%81%D1%82" style="color: black;">гипертекста</a></i> . <i><a href="https://ru.wikipedia.org/wiki/%D0%9C%D1%83%D0%BB%D1%8C%D1%82%D0%B8%D0%BC%D0%B5%D0%B4%D0%B8%D0%B0" style="color: black;">Мультимедийные</a></i>  возможности были<br>
        добавлены позже. <br>
        Изначально язык HTML был задуман и создан как средство структурирования и форматирования<br>
        документов без их привязки к средствам воспроизведения (отображения). В идеале, текст с<br>
        разметкой HTML должен был без стилистических и структурных искажений воспроизводиться на<br>
        оборудовании с различной технической оснащённостью (цветной экран современного компьютера,<br>
        монохромный экран органайзера, ограниченный по размерам экран мобильного телефона или<br>
        устройства и программы голосового воспроизведения текстов). Однако современное применение<br>
        HTML очень далеко от его изначальной задачи. Например, тег &lt;table&gt; предназначен для создания в<br>
        документах таблиц, но иногда используется и для оформленияразмещения элементов на странице. <br>
        С течением времени основная идея платформо независимостиязыка HTML была принесена в<br>
        жертву современным потребностям в мультимедийном играфическом оформлении. <br>
        Браузеры <br>
        Текстовые документы, содержащие разметку на языке HTML (такие документы традиционно <br>
        имеют <i><a href="https://ru.wikipedia.org/wiki/%D0%A0%D0%B0%D1%81%D1%88%D0%B8%D1%80%D0%B5%D0%BD%D0%B8%D0%B5_%D0%B8%D0%BC%D0%B5%D0%BD%D0%B8_%D1%84%D0%B0%D0%B9%D0%BB%D0%B0" style="color: black;">расширение</a></i>  <b>.html</b> или <b>.htm</b>), обрабатываются специальными <i><a href="https://ru.wikipedia.org/wiki/%D0%9F%D1%80%D0%B8%D0%BA%D0%BB%D0%B0%D0%B4%D0%BD%D0%BE%D0%B5_%D0%BF%D1%80%D0%BE%D0%B3%D1%80%D0%B0%D0%BC%D0%BC%D0%BD%D0%BE%D0%B5_%D0%BE%D0%B1%D0%B5%D1%81%D0%BF%D0%B5%D1%87%D0%B5%D0%BD%D0%B8%D0%B5" style="color: black;">приложениями</a></i> , которые <br>
        отображают документ в его форматированном виде. Такие приложения, называемые «браузерами» <br>
        или «интернет-обозревателями», обычно предоставляют пользователю удобный <i><a href="https://ru.wikipedia.org/wiki/%D0%98%D0%BD%D1%82%D0%B5%D1%80%D1%84%D0%B5%D0%B9%D1%81_%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D1%8F" style="color: black;">интерфейс</a></i>  для <br>
        запроса <i><a href="https://ru.wikipedia.org/wiki/%D0%92%D0%B5%D0%B1-%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D0%B0" style="color: black;">веб-страниц</a></i> , их просмотра (и вывода на иные внешние устройства) и, при необходимости, <br>
        отправки введённых пользователем данных на сервер. Наиболее популярными на сегодняшний день <br>
        браузерами являются <i><b><a href="https://ru.wikipedia.org/wiki/Google_Chrome" style="color: black; text-decoration: none;">Google Chrome,</a> <a href="https://ru.wikipedia.org/wiki/Mozilla_Firefox" style="color: black; text-decoration: none;">Mozilla Firefox,</a> <a href="https://ru.wikipedia.org/wiki/Opera" style="text-decoration: none; color: black;">Opera,</a>  <a href="https://ru.wikipedia.org/wiki/Internet_Explorer" style="text-decoration: none; color: black;">Internet Explorer</a> </b></i> и <i><b><a href="https://ru.wikipedia.org/wiki/Safari" style="text-decoration: none; color: black;">Safari</a></b></i>.
    </p>
</body>
</html>